/**
 * This is an example to use console logger.
 * @see https://www.npmjs.com/package/colorprint
 */

"use strict";

var ConsoleLogger = require('apeman-commons-logging/lib/console_logger');

var logger = new ConsoleLogger({
    indent: 3 // Indent size for each line.
});

logger.notice('This is NOTICE message.');
logger.info('This is INFO message.');
logger.debug('This is DEBUG message.');
logger.trace('This is TRACE message.');
logger.error('This is ERROR message.');
logger.fatal('This is FATAL message.');
