/**
 * Test for message formatter.
 * Runs with nodeunit.
 */


"use strict";

var MessageFormatter = require('../lib/message_formatter');

exports['Indent message.'] = function (test) {
    var formatter = new MessageFormatter();
    test.equal(formatter.indent('foo\nbar', 3), '\t\t\tfoo\n\t\t\tbar');
    test.done();
};


exports['Convert to yaml.'] = function (test) {
    var text = new MessageFormatter().toYaml({
        foo: 'bar'
    });
    console.log(text);
    test.done();
};